com.impinj.octane

## Class DirectionReport

- java.lang.Object
- - com.impinj.octane.DirectionReport

-     public class DirectionReport
      extends java.lang.Object

  DirectionReport that is received by implementors of `DirectionReportListener`, instantiated and populated by `ImpinjReader`
  See Also:
    `ImpinjReader`

- - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `TagData` | `getEpc()`
    `short` | `getFirstSeenSector()`
    `ImpinjTimestamp` | `getFirstSeenTime()`
    `short` | `getLastReadSector()`
    `ImpinjTimestamp` | `getLastReadTime()`
    `DirectionReportType` | `getReportType()`
    `DirectionTagPopulationStatus` | `getTagPopulationStatus()`
    `java.lang.String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Method Detail

    - #### getEpc

          public TagData getEpc()

      Returns:
        The EPC of the tag whose direction has been updated

    - #### getFirstSeenTime

          public ImpinjTimestamp getFirstSeenTime()

      Returns:
        The time in which this tag was first seen

    - #### getLastReadTime

          public ImpinjTimestamp getLastReadTime()

      Returns:
        The time the direction report was generated

    - #### getFirstSeenSector

          public short getFirstSeenSector()

      Returns:
        Last first sector in which this tag was seen

    - #### getLastReadSector

          public short getLastReadSector()

      Returns:
        Last sector a tag was read on

    - #### getReportType

          public DirectionReportType getReportType()

      Returns:
        A `DirectionReportType` indicating the event that generated this DirectionReport

    - #### getTagPopulationStatus

          public DirectionTagPopulationStatus getTagPopulationStatus()

      Returns:
        A `DirectionTagPopulationStatus` indicating the overflow status of the current tag population

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`
      Returns:
        A multi-line string containing all of the payload of this report, serialized and suitable for logging